Build failing for Android due to exoplayer issues


#1

Our app could build successfully for iOS. However for Android client, after running expo build:android, we’re facing the following bug:

[stderr] * What went wrong:
[stderr] Could not resolve all files for configuration ':expoview:releaseCompileClasspath'.
[stderr] > Could not find com.google.android.exoplayer:exoplayer-core:2.6.1.
[stderr]   Searched in the following locations:
[stderr]       file:/usr/local/android-sdk-linux/extras/m2repository/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.pom
[stderr]       file:/usr/local/android-sdk-linux/extras/m2repository/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.jar
[stderr]       file:/usr/local/android-sdk-linux/extras/google/m2repository/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.pom
[stderr]       file:/usr/local/android-sdk-linux/extras/google/m2repository/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.jar
[stderr]       file:/usr/local/android-sdk-linux/extras/android/m2repository/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.pom
[stderr]       file:/usr/local/android-sdk-linux/extras/android/m2repository/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.jar
[stderr]       file:/app/workingdir/android/sdk30/android-shell-app/maven/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.pom
[stderr]       file:/app/workingdir/android/sdk30/android-shell-app/maven/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.jar
[stderr]       file:/app/workingdir/android/sdk30/node_modules/expokit/maven/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.pom
[stderr]       file:/app/workingdir/android/sdk30/node_modules/expokit/maven/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.jar
[stderr]       file:/app/workingdir/android/sdk30/android-shell-app/maven-test/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.pom
[stderr]       file:/app/workingdir/android/sdk30/android-shell-app/maven-test/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.jar
[stderr]       https://dl.google.com/dl/android/maven2/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.pom
[stderr]       https://dl.google.com/dl/android/maven2/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.jar
[stderr]       https://jcenter.bintray.com/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.pom
[stderr]       https://jcenter.bintray.com/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.jar
[stderr]       file:/app/workingdir/android/sdk30/home/node_modules/jsc-android/android/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.pom
[stderr]       file:/app/workingdir/android/sdk30/home/node_modules/jsc-android/android/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.jar
[stderr]       file:/app/workingdir/android/sdk30/android-shell-app/expoview/libs/exoplayer-core-2.6.1.jar
[stderr]       file:/app/workingdir/android/sdk30/android-shell-app/expoview/libs/exoplayer-core.jar
[stderr]       https://jitpack.io/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.pom
[stderr]       https://jitpack.io/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.jar
[stderr]       file:/root/.m2/repository/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.pom
[stderr]       file:/root/.m2/repository/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.jar
[stderr]       https://maven.fabric.io/public/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.pom
[stderr]       https://maven.fabric.io/public/com/google/android/exoplayer/exoplayer-core/2.6.1/exoplayer-core-2.6.1.jar
[stderr]   Required by:
[stderr]       project :expoview > com.facebook.android:audience-network-sdk:4.99.0
...

Above is one of the error messages, and all errors are regarding “com.google.android.exoplayer”. However, we haven’t used any related functions or libraries. Any solution to this issue? Thanks.


closed #2

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.